%define name xmms-cdcover
%define version 0.2
%define release %mkrel 9

Name: %{name}
Summary: Visualization plugin for xmms that displays a CD cover if available
Version: %{version}
Release: %{release}
Source: http://ducts.27b-6.de/cdcover/dist/%name-%version.tar.bz2
URL: http://ducts.27b-6.de/cdcover/
License: GPL
Group: Sound
Requires: xmms
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: xmms-devel
BuildRequires: gdk-pixbuf-devel
#gw versioned automake called
BuildRequires: automake1.4

%description
CDCover is a plugin for xmms, which displays a graphic dependent on
the currently played song. Normal usage would be to display the 
CD covers for the different songs. The graphics are retrieved from
your computer. Therefore searchpaths can be defined, where a corresponding
cover is searched for.

%prep

%setup -q
aclocal-1.4
autoconf
libtoolize --copy --force

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot/%_libdir/xmms/Visualization/libcdcover.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL ChangeLog NEWS README
%{_libdir}/xmms/Visualization/libcdcover.so



%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2-9mdv2009.0
+ Revision: 262514
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.2-8mdv2009.0
+ Revision: 257210
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2-6mdv2008.1
+ Revision: 130344
- kill re-definition of %%buildroot on Pixel's request

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 0.2-6mdv2008.0
+ Revision: 57517
- call libtoolize


* Mon Jul 31 2006 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2007.0
- Rebuild

* Sun May 21 2006 Götz Waschk <waschk@mandriva.org> 0.2-5mdk
- Rebuild
- use mkrel

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 0.2-4mdk
- fix buildrequires

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 0.2-3mdk
- fix build on x86_64

* Fri Apr 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- rebuild

